Package Details: lib32-gssdp 1.2.3-1

Git Clone URL: https://aur.archlinux.org/lib32-gssdp.git (read-only, click to copy)
Package Base: lib32-gssdp
Description: A GObject-based API for handling resource discovery and announcement over SSDP (32-bit)
Upstream URL: http://gupnp.org/
Licenses: LGPL
Submitter: rodrigo21
Maintainer: rodrigo21
Last Packager: rodrigo21
Votes: 4
Popularity: 0.44
First Submitted: 2019-01-22 23:46
Last Updated: 2020-08-20 01:03

Latest Comments

abcfy2 commented on 2020-08-19 18:44

Cannot build and install:

==> Starting pkgver()...
==> Sources are ready.
==> Making package: lib32-gssdp 1.2.2-2 (Thu 20 Aug 2020 02:44:22 AM CST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting pkgver()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...
+ exec meson setup --prefix /usr --libexecdir lib --sbindir bin --buildtype plain --auto-features enabled --wrap-mode nodownload -D b_lto=true -D b_pie=true gssdp build --libdir=/usr/lib32 -Dgtk_doc=false
The Meson build system
Version: 0.55.1
Source dir: /home/fengyu/.cache/yay/lib32-gssdp/src/gssdp
Build dir: /home/fengyu/.cache/yay/lib32-gssdp/src/build
Build type: native build
Using 'PKG_CONFIG_PATH' from environment with value: '$PKG_CONFIG_PATH:/usr/lib32/pkgconfig/:/usr/lib/pkgconfig'
Using 'PKG_CONFIG_PATH' from environment with value: '$PKG_CONFIG_PATH:/usr/lib32/pkgconfig/:/usr/lib/pkgconfig'
Project name: gssdp
Project version: 1.2.2
Using 'CC' from environment with value: 'gcc -m32'
Using 'CFLAGS' from environment with value: '-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt'
Using 'LDFLAGS' from environment with value: '-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'
Using 'CPPFLAGS' from environment with value: '-D_FORTIFY_SOURCE=2'
Using 'CC' from environment with value: 'gcc -m32'
Using 'CFLAGS' from environment with value: '-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt'
Using 'LDFLAGS' from environment with value: '-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'
Using 'CPPFLAGS' from environment with value: '-D_FORTIFY_SOURCE=2'
C compiler for the host machine: gcc -m32 (gcc 10.1.0 "gcc (GCC) 10.1.0")
C linker for the host machine: gcc -m32 ld.bfd 2.34.0
Host machine cpu family: x86
Host machine cpu: i686
Checking if "struct in_pktinfo is available" compiles: YES 
Checking for function "if_nametoindex" : YES 
Checking if "SIOCGIFINDEX is available" compiles: YES 
Configuring config.h using configuration
Checking if "android libc" compiles: NO 
Using 'PKG_CONFIG' from environment with value: '/usr/bin/i686-pc-linux-gnu-pkg-config'
Found pkg-config: /usr/bin/i686-pc-linux-gnu-pkg-config (1.7.3)
Using 'PKG_CONFIG_PATH' from environment with value: '$PKG_CONFIG_PATH:/usr/lib32/pkgconfig/:/usr/lib/pkgconfig'
Run-time dependency glib-2.0 found: YES 2.64.4
Using 'PKG_CONFIG_PATH' from environment with value: '$PKG_CONFIG_PATH:/usr/lib32/pkgconfig/:/usr/lib/pkgconfig'
Run-time dependency gobject-2.0 found: YES 2.64.4
Using 'PKG_CONFIG_PATH' from environment with value: '$PKG_CONFIG_PATH:/usr/lib32/pkgconfig/:/usr/lib/pkgconfig'
Run-time dependency gio-2.0 found: YES 2.64.4
Using 'PKG_CONFIG_PATH' from environment with value: '$PKG_CONFIG_PATH:/usr/lib32/pkgconfig/:/usr/lib/pkgconfig'
Run-time dependency libsoup-2.4 found: YES 2.70.0
Program glib-mkenums found: YES
Using 'PKG_CONFIG' from environment with value: '/usr/bin/i686-pc-linux-gnu-pkg-config'
Found pkg-config: /usr/bin/i686-pc-linux-gnu-pkg-config (1.7.3)
Using 'PKG_CONFIG_PATH' from environment with value: '$PKG_CONFIG_PATH:/usr/lib32/pkgconfig/:/usr/lib/pkgconfig'
Build-time dependency gobject-introspection-1.0 found: YES 1.64.1
Program g_ir_scanner found: YES (/usr/bin/g-ir-scanner)
Program g_ir_compiler found: YES (/usr/bin/g-ir-compiler)
Using 'PKG_CONFIG_PATH' from environment with value: '$PKG_CONFIG_PATH:/usr/lib32/pkgconfig/:/usr/lib/pkgconfig'
Run-time dependency gtk+-3.0 found: YES 3.24.22
Using 'PKG_CONFIG_PATH' from environment with value: '$PKG_CONFIG_PATH:/usr/lib32/pkgconfig/:/usr/lib/pkgconfig'
Program vapigen found: YES
Build targets in project: 13

Found ninja-1.10.0 at /usr/bin/ninja
ninja: Entering directory `build'
[30/32] Generating GSSDP-1.2.gir with a custom command
FAILED: libgssdp/GSSDP-1.2.gir 
/usr/bin/g-ir-scanner --no-libtool --namespace=GSSDP --nsversion=1.2 --warn-all --output libgssdp/GSSDP-1.2.gir --c-include=libgssdp/gssdp.h -I/home/fengyu/.cache/yay/lib32-gssdp/src/gssdp/libgssdp -I/home/fengyu/.cache/yay/lib32-gssdp/src/build/libgssdp -I./libgssdp/.. -I../gssdp/libgssdp/.. --filelist=/home/fengyu/.cache/yay/lib32-gssdp/src/build/libgssdp/libgssdp-1.2.so.0.0.0.p/GSSDP_1.2_gir_filelist --include=GObject-2.0 --include=Gio-2.0 --include=Soup-2.4 --symbol-prefix=gssdp --identifier-prefix=GSSDP --pkg-export=gssdp-1.2 --cflags-begin -DHAVE_CONFIG_H=1 -I./libgssdp/.. -I../gssdp/libgssdp/.. -I/usr/include/glib-2.0 -I/usr/lib32/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/gobject-introspection-1.0 -D_FORTIFY_SOURCE=2 --cflags-end --add-include-path=/usr/share/gir-1.0 --library gssdp-1.2 -L/home/fengyu/.cache/yay/lib32-gssdp/src/build/libgssdp --extra-library=glib-2.0 --extra-library=gobject-2.0 --extra-library=gio-2.0 --extra-library=soup-2.4 -L/usr/lib --extra-library=girepository-1.0 --sources-top-dirs /home/fengyu/.cache/yay/lib32-gssdp/src/gssdp/subprojects/ --sources-top-dirs /home/fengyu/.cache/yay/lib32-gssdp/src/build/subprojects/
In file included from /usr/include/bits/libc-header-start.h:33,
                 from /usr/include/limits.h:26,
                 from /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/include-fixed/limits.h:195,
                 from /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/include-fixed/syslimits.h:7,
                 from /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/include-fixed/limits.h:34,
                 from /usr/lib32/glib-2.0/include/glibconfig.h:11,
                 from /usr/include/glib-2.0/glib/gtypes.h:32,
                 from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glib-2.0/gobject/gbinding.h:28,
                 from /usr/include/glib-2.0/glib-object.h:22,
                 from /home/fengyu/.cache/yay/lib32-gssdp/src/gssdp/libgssdp/gssdp-client.h:25,
                 from /home/fengyu/.cache/yay/lib32-gssdp/src/build/g-ir-cpp-zbeln73n.c:4:
/usr/include/features.h:397:4: warning: #warning _FORTIFY_SOURCE requires compiling with optimization (-O) [-Wcpp]
  397 | #  warning _FORTIFY_SOURCE requires compiling with optimization (-O)
      |    ^~~~~~~
g-ir-scanner: link: gcc -m32 -o /home/fengyu/.cache/yay/lib32-gssdp/src/build/tmp-introspectaqdkuc5s/GSSDP-1.2 -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt /home/fengyu/.cache/yay/lib32-gssdp/src/build/tmp-introspectaqdkuc5s/GSSDP-1.2.o -L. -Wl,-rpath,. -Wl,--no-as-needed -L/home/fengyu/.cache/yay/lib32-gssdp/src/build/libgssdp -Wl,-rpath,/home/fengyu/.cache/yay/lib32-gssdp/src/build/libgssdp -L/usr/lib -Wl,-rpath,/usr/lib -lgssdp-1.2 -lglib-2.0 -lgobject-2.0 -lgio-2.0 -lsoup-2.4 -lgirepository-1.0 -lgio-2.0 -lgobject-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lglib-2.0 -lglib-2.0 -Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now
/usr/bin/ld: skipping incompatible /usr/lib/libglib-2.0.so when searching for -lglib-2.0
/usr/bin/ld: skipping incompatible /usr/lib/libgobject-2.0.so when searching for -lgobject-2.0
/usr/bin/ld: skipping incompatible /usr/lib/libgio-2.0.so when searching for -lgio-2.0
/usr/bin/ld: skipping incompatible /usr/lib/libsoup-2.4.so when searching for -lsoup-2.4
/usr/bin/ld: skipping incompatible /usr/lib/libgirepository-1.0.so when searching for -lgirepository-1.0
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../libgirepository-1.0.so when searching for -lgirepository-1.0
/usr/bin/ld: skipping incompatible /usr/lib/libgirepository-1.0.so when searching for -lgirepository-1.0
/usr/bin/ld: cannot find -lgirepository-1.0
/usr/bin/ld: skipping incompatible /usr/lib/libgio-2.0.so when searching for -lgio-2.0
/usr/bin/ld: skipping incompatible /usr/lib/libgobject-2.0.so when searching for -lgobject-2.0
/usr/bin/ld: skipping incompatible /usr/lib/libgmodule-2.0.so when searching for -lgmodule-2.0
/usr/bin/ld: skipping incompatible /usr/lib/libglib-2.0.so when searching for -lglib-2.0
/usr/bin/ld: skipping incompatible /usr/lib/libglib-2.0.so when searching for -lglib-2.0
/usr/bin/ld: skipping incompatible /usr/lib/libgcc_s.so.1 when searching for libgcc_s.so.1
collect2: error: ld returned 1 exit status
/usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/include/stddef.h:424: syntax error, unexpected identifier in '  __float128 __max_align_f128 __attribute__((__aligned__(__alignof(__float128))));' at '__float128'
linking of temporary binary failed: Command '['gcc', '-m32', '-o', '/home/fengyu/.cache/yay/lib32-gssdp/src/build/tmp-introspectaqdkuc5s/GSSDP-1.2', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '-fno-plt', '/home/fengyu/.cache/yay/lib32-gssdp/src/build/tmp-introspectaqdkuc5s/GSSDP-1.2.o', '-L.', '-Wl,-rpath,.', '-Wl,--no-as-needed', '-L/home/fengyu/.cache/yay/lib32-gssdp/src/build/libgssdp', '-Wl,-rpath,/home/fengyu/.cache/yay/lib32-gssdp/src/build/libgssdp', '-L/usr/lib', '-Wl,-rpath,/usr/lib', '-lgssdp-1.2', '-lglib-2.0', '-lgobject-2.0', '-lgio-2.0', '-lsoup-2.4', '-lgirepository-1.0', '-lgio-2.0', '-lgobject-2.0', '-Wl,--export-dynamic', '-lgmodule-2.0', '-pthread', '-lglib-2.0', '-lglib-2.0', '-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now']' returned non-zero exit status 1.
ninja: build stopped: subcommand failed.
==> ERROR: A failure occurred in build().
    Aborting...

MR-2 commented on 2020-04-17 20:47

I had to add the following export after the PKG_CONFIG export:

"export PKG_CONFIG_PATH='$PKG_CONFIG_PATH:/usr/lib32/pkgconfig/:/usr/lib/pkgconfig'"

Otherwise the build would fail due to gobject-introspection-1.0.pc not being found. If only the "/usr/lib/pkgconfig"-directory is added to the PKG_CONFIG_PATH (or before the "/usr/lib32/pkgconfig"-directory), the wrong glib32-includes will be used, which also causes the build to fail.

I also would add "lib32-glib2" to the makedepends-array...

Rojikku commented on 2019-07-15 00:45

I ended up finding the fix with the help of elibrokeit in IRC, to save you some effort. This line is needed for at least three of your packages to get them to build.

Error in question is the "Generating *.gir with custom command"

export PKG_CONFIG=/usr/bin/i686-pc-linux-gnu-pkg-config